org.richfaces.fragment.collapsibleSubTable

## Class RichFacesCollapsibleSubTable<HEADER,ROW,FOOTER>

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable<HEADER,ROW,FOOTER>
  - - org.richfaces.fragment.collapsibleSubTable.RichFacesCollapsibleSubTable<HEADER,ROW,FOOTER>

- Type Parameters:
    `HEADER` -
    `ROW` -
    `FOOTER` -
  All Implemented Interfaces:
    CollapsibleSubTable<HEADER,ROW,FOOTER>, AdvancedInteractions<AbstractTable.AdvancedTableInteractions>, DataTable<HEADER,ROW,FOOTER>

      public abstract class RichFacesCollapsibleSubTable<HEADER,ROW,FOOTER>
      extends AbstractTable<HEADER,ROW,FOOTER>
      implements CollapsibleSubTable<HEADER,ROW,FOOTER>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `AbstractTable.AdvancedTableInteractions`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `browser, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCollapsibleSubTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions` | `advanced()`
    `CollapsibleSubTable<HEADER,ROW,FOOTER>` | `collapse()`
    `CollapsibleSubTable<HEADER,ROW,FOOTER>` | `expand()`

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `getAllRows, getFirstRow, getFooter, getHeader, getLastRow, getRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.dataTable.DataTable

      `getAllRows, getFirstRow, getFooter, getHeader, getLastRow, getRow`

- - ### Constructor Detail

    - #### RichFacesCollapsibleSubTable

          public RichFacesCollapsibleSubTable()

  - ### Method Detail

    - #### advanced

          public RichFacesCollapsibleSubTable.AdvancedCollapsibleSubTableInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractTable.AdvancedTableInteractions>`
      Specified by:
        `advanced` in class `AbstractTable<HEADER,ROW,FOOTER>`

    - #### collapse

          public CollapsibleSubTable<HEADER,ROW,FOOTER> collapse()

      Specified by:
        `collapse` in interface `CollapsibleSubTable<HEADER,ROW,FOOTER>`

    - #### expand

          public CollapsibleSubTable<HEADER,ROW,FOOTER> expand()

      Specified by:
        `expand` in interface `CollapsibleSubTable<HEADER,ROW,FOOTER>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.